Skip to main content
GET
List all messages

Path Parameters

inbox_identifier
string
required

The identifier obtained from API inbox channel

contact_identifier
string
required

The source id of contact obtained on contact create

conversation_id
integer
required

The numeric ID of the conversation

Response

Success

id
integer

Id of the message

content
string

Text content of the message

message_type
enum<integer>

0 = incoming, 1 = outgoing, 2 = activity, 3 = template.

Available options:
0,
1,
2,
3
content_type
string

Content type of the message

content_attributes
object

Structured attributes for the message. Apple Messages primitives arrive here as amb_primitive_type plus amb_primitive_data.

created_at
integer<int64>

Created at time stamp of the message

conversation_id
integer

Conversation Id of the message

attachments
object[]

Attachments if any

sender
object

Details of the sender